/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2021-09-16 10:46:13Z
 *****************************************************************************/

#ifndef __RSPWRMETER_ATTRIBUTES_HEADER
#define __RSPWRMETER_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rspwrmeter_TriggerSource_ReadCallback(ViSession          io,
                                               ViConstString      repCapName,
                                               RsCoreAttributePtr attr);

ViStatus rspwrmeter_ReadSensorInfo_ReadCallback(ViSession          io,
                                                ViConstString      repCapName,
                                                RsCoreAttributePtr attr);

ViStatus rspwrmeter_logging_ReadCallback(ViSession          io,
                                         ViConstString      repCapName,
                                         RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rspwrmeter_TriggerSource_WriteCallback(ViSession          io,
                                                ViConstString      repCapName,
                                                RsCoreAttributePtr attr,
                                                void               *value);

ViStatus rspwrmeter_TriggerSourceAll_WriteCallback(ViSession          io,
                                                   ViConstString      repCapName,
                                                   RsCoreAttributePtr attr,
                                                   void               *value);

ViStatus rspwrmeter_logging_WriteCallback(ViSession          io,
                                          ViConstString      repCapName,
                                          RsCoreAttributePtr attr,
                                          void               *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableDiscrete rspwrmeter_rngTriggerSource;
extern RsCoreRangeTableDiscrete rspwrmeter_rngUnits;
extern RsCoreRangeTableDiscrete rspwrmeter_rngRatioUnits;
extern RsCoreRangeTableDiscrete rspwrmeter_rngSlope;
extern RsCoreRangeTableDiscrete rspwrmeter_rngChannelZeroState;
extern RsCoreRangeTableDiscrete rspwrmeter_rngAverageAutoFilterMode;
extern RsCoreRangeTableRanged rspwrmeter_rngAverageAutoFilterResolution;
extern RsCoreRangeTableDiscrete rspwrmeter_rngAverageTerminalControl;
extern RsCoreRangeTableRanged rspwrmeter_rngVideoBandwidth;
extern RsCoreRangeTableRanged rspwrmeter_rngMeasurementRange;
extern RsCoreRangeTableRanged rspwrmeter_rngStatisticsScalePoints;
extern RsCoreRangeTableDiscrete rspwrmeter_rngMeasurementMode;
extern RsCoreRangeTableRanged rspwrmeter_rngContAvBufferSize;
extern RsCoreRangeTableDiscrete rspwrmeter_rngContAvSampling;
extern RsCoreRangeTableRanged rspwrmeter_rngLimitRatio;
extern RsCoreRangeTableDiscrete rspwrmeter_rngTraceTerminalControl;
extern RsCoreRangeTableDiscrete rspwrmeter_rngTraceMeasAlgorithm;
extern RsCoreRangeTableDiscrete rspwrmeter_rngAuxiliary;
extern RsCoreRangeTableDiscrete rspwrmeter_rngDisplayResolution;
extern RsCoreRangeTableDiscrete rspwrmeter_rngDisplayMode;
extern RsCoreRangeTableDiscrete rspwrmeter_rngDisplayUpdate;
extern RsCoreRangeTableDiscrete rspwrmeter_rngTTLHighLow;
extern RsCoreRangeTableRanged rspwrmeter_rngTTLVoltage;
extern RsCoreRangeTableDiscrete rspwrmeter_rngMsgType;
extern RsCoreRangeTableDiscrete rspwrmeter_rngDisplaySize;
extern RsCoreRangeTableRanged rspwrmeter_rngSelectedWindow;
extern RsCoreRangeTableDiscrete rspwrmeter_rngDisplayAdditionalInfo;
extern RsCoreRangeTableRanged rspwrmeter_rngSelectedTimegate;
extern RsCoreRangeTableDiscrete rspwrmeter_rngCalculation;
extern RsCoreRangeTableDiscrete rspwrmeter_rngCalculateBlock;
extern RsCoreRangeTableDiscrete rspwrmeter_rngTTLCalculateBlock;
extern RsCoreRangeTableRanged rspwrmeter_rngBeepTime;
extern RsCoreRangeTableDiscrete rspwrmeter_rngIntExt;
extern RsCoreRangeTableDiscrete rspwrmeter_rngRegisterGroup;
extern RsCoreRangeTableDiscrete rspwrmeter_rngRegisterType;
extern RsCoreRangeTableDiscrete rspwrmeter_rngSystemSpeed;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngSystemLanguage;
extern RsCoreRangeTableRanged RsPwrMeter_rngMaxSettlingTime;
extern RsCoreRangeTableRanged RsPwrMeter_rngBufferCount;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngIPAddressMode;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngSocketMode;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngExternalTriggerImpedance;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngMasterPort;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngLEDMode;
extern RsCoreRangeTableRanged RsPwrMeter_rngLEDColor;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngTriggerExternalImpedance;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngTraceResultType;
extern RsCoreRangeTableRanged RsPwrMeter_rngChannelAutoTriggerDelay;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngChannelTriggerSynchronizePort;
extern RsCoreRangeTableRanged RsPwrMeter_rngResolutionBandwidth;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngFilterType;
extern RsCoreRangeTableRanged RsPwrMeter_rngIQSampleRate;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngBandwidthType;
extern RsCoreRangeTableRanged RsPwrMeter_rngInputAttenuation;
extern RsCoreRangeTableRanged RsPwrMeter_rngReferenceOscillatorInputFrequencyUSB;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngReferenceOscillatorSource;
extern RsCoreRangeTableRanged RsPwrMeter_rngReferenceOscillatorCLKFrequency;
extern RsCoreRangeTableRanged RsPwrMeter_rngReferenceOscillatorREFFrequency;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngAveragingDomain;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngIFSidebandSelected;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngTriggerJitterSuppressionMethod;
extern RsCoreRangeTableRanged RsPwrMeter_rngACLRApertureTime;
extern RsCoreRangeTableRanged RsPwrMeter_rngVoltIQSampleCount;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngSenderPort;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngFetchResult;
extern RsCoreRangeTableDiscrete RsPwrMeter_rngListCommands;
extern RsCoreRangeTableRanged RsPwrMeter_rngSystemUpdateTime;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_DISP_SIZE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_DISP_SELECTED_WINDOW;
extern RsCoreAttribute g_RSPWRMETER_ATTR_DISP_MSG_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_DISP_MSG_CLEAR;
extern RsCoreAttribute g_RSPWRMETER_ATTR_DISP_MSG_TYPE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_ZERO_STATE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_ZERO_ONCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_FAST_ZERO_ONCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_FREQUENCY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_MODE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AUXILIARY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_SELECTED_TIMEGATE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_NAME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_RESOLUTION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_TIMESLOT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_MODE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_ADDITIONAL_INFO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_DISPLAY_ERRORLIST_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_UPPER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_UPPER_POWER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_UPPER_RATIO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_LOWER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_LOWER_POWER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_ANALOG_METER_LOWER_RATIO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_VBW_LIST;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_VBW;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AVER_RESET;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AVER_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AVER_COUNT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AVER_COUNT_AUTO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AVER_DOMAIN;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AVER_TERMINAL_CONTROL;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_MODE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_MTIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_RESOLUTION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_TIMESLOT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AVER_AUTO_NOISE_CONTENT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_RANGE_AUTO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_RANGE_PATH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_RANGE_CROSSOVER_LEVEL;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_IMMEDIATE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_COUNT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_DELAY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_DELAY_AUTO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_DROPOUT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_HOLDOFF;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_HYSTERESIS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_MASTER_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SENDER_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_MASTER_PORT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SENDER_PORT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SYNCHRONIZE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_SYNCHRONIZE_PORT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_AUTO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_AUTO_LEVEL;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_AUTO_TRIGGER_DELAY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_AUTO_EXECUTED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRIGGER_EXTERNAL_IMPEDANCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_JITTER_SUPPRESSION_METHOD;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_JITTER_SUPPRESSION_CURRENT_VALUE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_JITTER_SUPPRESSION_TRIGGER_OFFSET;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_SENSOR_REBOOT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_SENSOR_RESET;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_SENSOR_INFO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_OFFSET_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_OFFSET_VALUE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_OFFSET_TABLE_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_OFFSET_SELECTED_TABLE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_OFFSET_FD;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_SPARAM_DEVICE_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_SPARAM_DEVICE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_SPARAM_LIST;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_SGAMMA_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_SGAMMA_MAGNITUDE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_SGAMMA_PHASE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_RGAMMA_MAGNITUDE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CORR_RGAMMA_PHASE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_DCYCLE_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_DCYCLE_VALUE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_NOISE_CORRECTION_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_IGAMMA_MAGNITUDE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_IGAMMA_PHASE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_IGAMMA_EXPANDED_UNCERTAINTY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_CONTAV_APERTURE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_SIZE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_COUNT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_CONTAV_BUFFER_CLEAR;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_CONTAV_SMOOTHING_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_CONTAV_FAST_UNCHOPPED_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_BURSTAV_DROPOUT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_BURSTAV_EXCLUDE_START;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_BURSTAV_EXCLUDE_STOP;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_BURSTAV_LENGTH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_OFFSET_TIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_TIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRACE_TIME_AUTO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_POINTS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_LOWER_LIMIT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_UPPER_LIMIT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MINIMUM_SLOT_WIDTH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_NUMBER_OF_SAMPLES;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SAMPLE_RATE_FOR_TRACE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_AVER_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_AVER_COUNT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_AVER_COUNT_AUTO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_FILTER_TERMINAL_CONTROL;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_ALGORITHM;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_OFFSET_TIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_AUTO_TRANSFER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_DUTY_CYCLE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_WIDTH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_PERIOD;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_PULSE_SEPARATION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_AVERAGE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_MAXIMUM;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_MINIMUM;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_BASE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_POWER_TOP;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_REFERENCE_LEVEL;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_HIGH_REFERENCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_LOW_REFERENCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_POS_DURATION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_POS_OCCURRENCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_POS_OVERSHOOT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_NEG_DURATION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_NEG_OCCURRENCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TRACE_MEAS_TRANS_NEG_OVERSHOOT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_OFFSET_TIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_TIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_SAMPLES;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_MID_OFFSET;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_MID_LENGTH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_RLEVEL;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_POINTS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_RANGE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_SCALE_MIN_WIDTH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_POWER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_HORIZONTAL_DATA;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_VERTICAL_POSITION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_ABS_POWER_POSITION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_PEAK_POWER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_STAT_AVERAGE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_COUNT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_WIDTH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_MID_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_MID_OFFSET;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_MID_LENGTH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_EXCLUDE_START;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_TIMESLOT_EXCLUDE_STOP;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_GATE_OFFSET_TIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_GATE_TIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_GATE_MID_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_GATE_MID_OFFSET;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_GATE_MID_LENGTH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_ACLR_APERTURE_TIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_ACLR_SPACING;
extern RsCoreAttribute g_RSPWRMETER_ATTR_VOLT_IQ_SAMPLE_RATE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_VOLT_IQ_SAMPLE_COUNT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_CAL_DEVIATION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_CAL_REFERENCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_CAL_DATA_BLOCK_LENGTH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_CAL_USER_DATA_BLOCK_LENGTH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_AUTOSET_FREQUENCY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_RESOLUTION_BANDWIDTH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CURRENT_RESOLUTION_BANDWIDTH;
extern RsCoreAttribute g_RSPWRMETER_ATTR_FILTER_TYPE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_AUTOSET_FILTER_TYPE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_BANDWIDTH_TYPE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_INPUT_ATTENUATION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_INPUT_ATTENUATION_AUTO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_AUTOSET_INPUT_ATTENUATION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LOCAL_OSCILLATOR_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LOCAL_OSCILLATOR_FREQUENCY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_IF_SIDEBAND_AUTO_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_IF_SIDEBAND_SELECTED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_IF_SIDEBAND_FREQUENCY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_FREQUENCY_TRACKING_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_FREQUENCY_TRACKING_CURRENT_STATE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_FREQUENCY_TRACKING_CURRENT_FREQUENCY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_ZERO_ALL_ONCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_FAST_ZERO_ALL_ONCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNELS_ZERO_ALL_STATE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_REF_OSC_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_SOURCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_REF_FREQUENCY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_USB_FREQUENCY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_REFERENCE_OSCILLATOR_CLK_FREQUENCY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_REFERENCE_IO_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SAMPLE_CLOCK_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_IMMEDIATE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_COUNT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_DELAY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_DELAY_AUTO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_DROPOUT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_HOLDOFF;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_HYSTERESIS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_SYNCHRONIZE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_TRIGGER_AUTO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_DISABLE_INITIATE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_CONTINUOUS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_SEND_SOFTWARE_TRIGGER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_BLOCK_UNITS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_BLOCK_RATIO_UNITS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_GATE_CALCULATION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_DISPLAY_DATA_COUNT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_DISPLAY_DATA;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_DISPLAY_SDEVIATION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_DISPLAY_MEAN;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_DISPLAY_PEAK_TO_PEAK;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_DISPLAY_MAXIMUM;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_DISPLAY_MINIMUM;
extern RsCoreAttribute g_RSPWRMETER_ATTR_RELATIVE_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_RELATIVE_REFERENCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_RELATIVE_REFERENCE_POWER_RATIO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_WARNING_BEEP;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_FAIL;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_FAIL_COUNT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_AUTO_RESET;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_UPPER_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_UPPER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_UPPER_POWER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_UPPER_RATIO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_LOWER_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_LOWER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_LOWER_POWER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LIMITS_LOWER_RATIO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_MATH_EXPRESSION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_MEAS_MATH_EXPRESSION_CATALOG;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_TRACE_XPOSITION1;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_TRACE_XPOSITION2;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_TRACE_YPOSITION1;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_TRACE_YPOSITION2;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_TRACE_XDELTA;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEAS_TRACE_YDELTA;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_MEAS_ABORT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_MEAS_INITIATE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_MEAS_INITIATE_WAIT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_MEAS_DISABLE_INITIATE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_CHANNEL_MEAS_CONTINUOUS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEASUREMENT_PATH_SENSOR_PRESENT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_MEASUREMENT_PATH_SENSOR_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_REBOOT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_RESTART;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_RESULT_UPDATE_TIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_STATUS_UPDATE_TIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_SPEED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_TEST_LEVELS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_INFORMATION;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_SENSOR_NAME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_ERROR_COUNT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_STATUS_PRESET;
extern RsCoreAttribute g_RSPWRMETER_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_PRESET_DEVICE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LOGGING;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_CLOCK_SOURCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_LOWER_POWER_MEASUREMENT_LIMIT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_ACTIVE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_FAIL;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_HIGH_VOLTAGE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_LOW_VOLTAGE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TTL_LIMITED_CALC_BLOCK;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_OUT1_TRIGGER_OUTPUT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_SELECTED_CALC_BLOCK;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_UPPER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_UPPER_POWER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_UPPER_RATIO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_LOWER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_LOWER_POWER;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_IO_ANALOG_OUTPUT_LOWER_RATIO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_MISC_DISPLAY_UPDATE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_MISC_BRIGHTNESS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_START;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_STOP;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_OVERLOAD;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_KEY_CLICK;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_MISC_BEEP_TIME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_STD_CATALOG;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_STD_SELECTED_STANDARD;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_STD_PRESERVE_WINDOW_SETTINGS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_STD_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_NETWORK_IP_ADDRESS_INFO;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_NETWORK_RESET;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_NETWORK_RESTART;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_NETWORK_STATUS;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_NETWORK_DOMAIN;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_NETWORK_HOSTNAME;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_NETWORK_SOCKET_MODE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_SYSTEM_NETWORK_SOCKET_PORT;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LED_MODE;
extern RsCoreAttribute g_RSPWRMETER_ATTR_LED_COLOR;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rspwrmeter_RsCoreRepCapTable[];
extern ViInt32 rspwrmeter_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rspwrmeter_RsCoreAttributeList[];
extern ViInt32 rspwrmeter_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSPWRMETER_ATTRIBUTES_HEADER */
