/*****************************************************************************
 *  rspwrmeter_utility.h
 *
 *  Rohde & Schwarz Power Meter Instrument Driver
 *  Original Release: August 2014
 *  By: Jiri Kominek, Lukas Hynek
 *
 *  Purpose: Internal utility functions and declarations
 *
 *  Should you have any technical questions please contact the hotline of
 *  Rohde & Schwarz Vertriebs-GmbH Rohde & Schwarz Support Center
 *
 *  e-mail: CustomerSupport@rohde-schwarz.com
 *
 *  Version: 1.0.0
 *
 *  Copyright (c) 2014, Rohde & Schwarz GmbH & Co. KG
 *  All rights reserved.
 *****************************************************************************/

#pragma once
#define RS_VAL_NAN_VI_REAL64                 9.91e+37
#define RS_VAL_NAN_VI_REAL64_VI_INT32        0x80000000

ViStatus rspwrmeter_InitAttributes(ViSession instrSession);

ViStatus rspwrmeter_DefaultInstrSetup(ViSession instrSession);

ViStatus rspwrmeter_CheckStatus(ViSession instrSession);

ViStatus rspwrmeter_SetOPCTimeout(ViSession instrSession,
                                  ViInt32   timeout);

ViStatus rspwrmeter_GetOPCTimeout(ViSession instrSession,
                                  ViInt32   *timeout);

ViStatus rspwrmeter_ParseUserDataContent(ViSession instrSession,
                                         ViChar    *data,
                                         ViInt32   count,
                                         ViInt32   arraySize,
                                         ViReal64  outputData[],
                                         ViInt32   *resultType,
                                         ViInt32   *retValues,
                                         ViChar    **pRecentData,
                                         ViInt32   *recentCount);

ViBoolean rspwrmeter_IsNrx(ViSession instrSession);

